Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class VirtualEarthTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.VirtualEarthTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class VirtualEarthTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`VirtualEarthTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setDashboardSize(javax.el.ValueExpression __dashboardSize)` Initial map type.
`void` | `setLat(javax.el.ValueExpression __lat)` Initial latitude coordinate in degrees, as a number between -90 and +90 Setter for lat
`void` | `setLng(javax.el.ValueExpression __lng)` Initial longitude coordinate in degrees, as a number between -180 and +180 Setter for lng
`void` | `setMapStyle(javax.el.ValueExpression __mapStyle)` Navigation control size.
`void` | `setOnLoadMap(javax.el.ValueExpression __onLoadMap)` JavaScript code invoked just after the Virtual Earth object is initiated.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setVar(javax.el.ValueExpression __var)` The JavaScript variable that is used to access the Virtual Earth API.
`void` | `setVersion(javax.el.ValueExpression __version)` Virtual earth version, default - "6" Setter for version
`void` | `setZoom(javax.el.ValueExpression __zoom)` Initial zoom level as a number between 1 and 18.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### VirtualEarthTag

    public VirtualEarthTag()

Method Detail

### setDashboardSize

    public void setDashboardSize(javax.el.ValueExpression __dashboardSize)

  Initial map type. The possible values are Normal,Small,Tiny. The default value is Normal Setter for dashboardSize

  Parameters:
    `dashboardSize` - - new value

### setLat

    public void setLat(javax.el.ValueExpression __lat)

  Initial latitude coordinate in degrees, as a number between -90 and +90 Setter for lat

  Parameters:
    `lat` - - new value

### setLng

    public void setLng(javax.el.ValueExpression __lng)

  Initial longitude coordinate in degrees, as a number between -180 and +180 Setter for lng

  Parameters:
    `lng` - - new value

### setMapStyle

    public void setMapStyle(javax.el.ValueExpression __mapStyle)

  Navigation control size. The possible values are Road,Aerial,Hybrid,Birdseye. The default value is Road Setter for mapStyle

  Parameters:
    `mapStyle` - - new value

### setOnLoadMap

    public void setOnLoadMap(javax.el.ValueExpression __onLoadMap)

  JavaScript code invoked just after the Virtual Earth object is initiated. Setter for onLoadMap

  Parameters:
    `onLoadMap` - - new value

### setVar

    public void setVar(javax.el.ValueExpression __var)

  The JavaScript variable that is used to access the Virtual Earth API. If you have more than one Virtual Earth components on the same page, use individual key for each of them. The default variable name is "map" (without quotes) Setter for var

  Parameters:
    `var` - - new value

### setVersion

    public void setVersion(javax.el.ValueExpression __version)

  Virtual earth version, default - "6" Setter for version

  Parameters:
    `version` - - new value

### setZoom

    public void setZoom(javax.el.ValueExpression __zoom)

  Initial zoom level as a number between 1 and 18. The default value is 17 Setter for zoom

  Parameters:
    `zoom` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.